定義の関数を更新
curl --request PUT \
--url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}/{functionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/plain' \
--data '<string>'import requests
url = "https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}/{functionId}"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/plain"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/plain'},
body: '<string>'
};
fetch('https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}/{functionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}機能
Update a function for a definition
IDを基準に特定の定義の関数を更新します。
PUT
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
定義の関数を更新
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
カスタムワークフローアクションに関連付けられているアプリケーションのID。
カスタムワークフローアクション定義のID。
ワークフローアクション定義内の特定の関数のID。
関数のタイプ。許容される値は、POST_ACTION_EXECUTION、POST_FETCH_OPTIONS、PRE_ACTION_EXECUTION、PRE_FETCH_OPTIONSです。
利用可能なオプション:
POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS ボディ
text/plain
The body is of type string.
最終更新日 2026年4月10日
⌘I